	//----------InvestigateTable开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.NbzsZheliban.Entity;
using System.Runtime.Serialization;
	namespace Ewide.NbzsZheliban.Entity
	{	
        /// <summary>
        /// 数据表实体类：InvestigateTable 
        /// </summary>
		[Table("InvestigateTable")]
        public partial class InvestigateTable: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public Guid ID  {get;set;}   
                                /// <summary>
                /// 调查表编号
                /// </summary>    
				
				[Display(Name="调查表编号")]   
								[Column("No")]   
				[DataMember]  
			    public string No  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ProjectName")]   
				[DataMember]  
			    public string ProjectName  {get;set;}   
                                /// <summary>
                /// 项目ID
                /// </summary>    
				
				[Display(Name="项目ID")]   
								[Column("ProjectId")]   
				[DataMember]  
			    public Guid ProjectId  {get;set;}   
                                /// <summary>
                /// 被征收人姓名
                /// </summary>    
				
				[Display(Name="被征收人姓名")]   
								[Column("ExpropriatedName")]   
				[DataMember]  
			    public string ExpropriatedName  {get;set;}   
                                /// <summary>
                /// 被征收人性质ID 关联数据字典表ID
                /// </summary>    
				
				[Display(Name="被征收人性质ID 关联数据字典表ID")]   
								[Column("ExpropriatedNatureID")]   
				[DataMember]  
			    public Guid? ExpropriatedNatureID  {get;set;}   
                                /// <summary>
                /// 被征收人性质 被征收人还是承租人
                /// </summary>    
				
				[Display(Name="被征收人性质 被征收人还是承租人")]   
								[Column("ExpropriatedNature")]   
				[DataMember]  
			    public string ExpropriatedNature  {get;set;}   
                                /// <summary>
                /// 被征收人身份证
                /// </summary>    
				
				[Display(Name="被征收人身份证")]   
								[Column("ExpropriatedCardNo")]   
				[DataMember]  
			    public string ExpropriatedCardNo  {get;set;}   
                                /// <summary>
                /// 被征收人联系电话
                /// </summary>    
				
				[Display(Name="被征收人联系电话")]   
								[Column("ExpropriatedPhone")]   
				[DataMember]  
			    public string ExpropriatedPhone  {get;set;}   
                                /// <summary>
                /// 产权性质ID
                /// </summary>    
				
				[Display(Name="产权性质ID")]   
								[Column("NatureOfPropertyID")]   
				[DataMember]  
			    public string NatureOfPropertyID  {get;set;}   
                                /// <summary>
                /// 产权性质
                /// </summary>    
				
				[Display(Name="产权性质")]   
								[Column("NatureOfProperty")]   
				[DataMember]  
			    public string NatureOfProperty  {get;set;}   
                                /// <summary>
                /// 结构ID 字典表ID,可能有多个 逗号分隔
                /// </summary>    
				
				[Display(Name="结构ID 字典表ID,可能有多个 逗号分隔")]   
								[Column("StructureID")]   
				[DataMember]  
			    public string StructureID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("LandAcquisitionBCWillingness")]   
				[DataMember]  
			    public string LandAcquisitionBCWillingness  {get;set;}   
                                /// <summary>
                /// 结构,可能有多个 逗号分隔
                /// </summary>    
				
				[Display(Name="结构,可能有多个 逗号分隔")]   
								[Column("StructureID_text")]   
				[DataMember]  
			    public string StructureID_text  {get;set;}   
                                /// <summary>
                /// 产权人
                /// </summary>    
				
				[Display(Name="产权人")]   
								[Column("PropertyRightPrson")]   
				[DataMember]  
			    public string PropertyRightPrson  {get;set;}   
                                /// <summary>
                /// 产权人电话
                /// </summary>    
				
				[Display(Name="产权人电话")]   
								[Column("PropertyRightPrsonPhone")]   
				[DataMember]  
			    public string PropertyRightPrsonPhone  {get;set;}   
                                /// <summary>
                /// 产权人身份证，证件号码
                /// </summary>    
				
				[Display(Name="产权人身份证，证件号码")]   
								[Column("PropertyRightPrsonCardNo")]   
				[DataMember]  
			    public string PropertyRightPrsonCardNo  {get;set;}   
                                /// <summary>
                /// 用户编号1
                /// </summary>    
				
				[Display(Name="用户编号1")]   
								[Column("No1")]   
				[DataMember]  
			    public string No1  {get;set;}   
                                /// <summary>
                /// 用户编号2
                /// </summary>    
				
				[Display(Name="用户编号2")]   
								[Column("No2")]   
				[DataMember]  
			    public string No2  {get;set;}   
                                /// <summary>
                /// 承租人
                /// </summary>    
				
				[Display(Name="承租人")]   
								[Column("Lessee")]   
				[DataMember]  
			    public string Lessee  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("LesseePhone")]   
				[DataMember]  
			    public string LesseePhone  {get;set;}   
                                /// <summary>
                /// 承租人证件号码
                /// </summary>    
				
				[Display(Name="承租人证件号码")]   
								[Column("LesseeCardNo")]   
				[DataMember]  
			    public string LesseeCardNo  {get;set;}   
                                /// <summary>
                /// 被征收房屋地址
                /// </summary>    
				
				[Display(Name="被征收房屋地址")]   
								[Column("HouseAddress")]   
				[DataMember]  
			    public string HouseAddress  {get;set;}   
                                /// <summary>
                /// 街道
                /// </summary>    
				
				[Display(Name="街道")]   
								[Column("Street")]   
				[DataMember]  
			    public string Street  {get;set;}   
                                /// <summary>
                /// 丘号
                /// </summary>    
				
				[Display(Name="丘号")]   
								[Column("LandNo")]   
				[DataMember]  
			    public string LandNo  {get;set;}   
                                /// <summary>
                /// 产权证号
                /// </summary>    
				
				[Display(Name="产权证号")]   
								[Column("PropertyRightCardNo")]   
				[DataMember]  
			    public string PropertyRightCardNo  {get;set;}   
                                /// <summary>
                /// 权证建筑面积
                /// </summary>    
				
				[Display(Name="权证建筑面积")]   
								[Column("BuildingArea")]   
				[DataMember]  
			    public decimal? BuildingArea  {get;set;}   
                                /// <summary>
                /// 使用面积
                /// </summary>    
				
				[Display(Name="使用面积")]   
								[Column("UseArea")]   
				[DataMember]  
			    public decimal? UseArea  {get;set;}   
                                /// <summary>
                /// 核定建筑面积
                /// </summary>    
				
				[Display(Name="核定建筑面积")]   
								[Column("ApprovedArea")]   
				[DataMember]  
			    public decimal? ApprovedArea  {get;set;}   
                                /// <summary>
                /// 所在层
                /// </summary>    
				
				[Display(Name="所在层")]   
								[Column("InLayer")]   
				[DataMember]  
			    public decimal? InLayer  {get;set;}   
                                /// <summary>
                /// 总层数
                /// </summary>    
				
				[Display(Name="总层数")]   
								[Column("AllLayer")]   
				[DataMember]  
			    public decimal? AllLayer  {get;set;}   
                                /// <summary>
                /// 房屋用途
                /// </summary>    
				
				[Display(Name="房屋用途")]   
								[Column("HouseUse")]   
				[DataMember]  
			    public string HouseUse  {get;set;}   
                                /// <summary>
                /// 自行车房面积
                /// </summary>    
				
				[Display(Name="自行车房面积")]   
								[Column("BiicyclesArea")]   
				[DataMember]  
			    public decimal? BiicyclesArea  {get;set;}   
                                /// <summary>
                /// 房屋产权性质
                /// </summary>    
				
				[Display(Name="房屋产权性质")]   
								[Column("HouseNatureOfProperty")]   
				[DataMember]  
			    public string HouseNatureOfProperty  {get;set;}   
                                /// <summary>
                /// 使用情况ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="使用情况ID 关联字典表ID")]   
								[Column("UsageID")]   
				[DataMember]  
			    public Guid? UsageID  {get;set;}   
                                /// <summary>
                /// 使用情况
                /// </summary>    
				
				[Display(Name="使用情况")]   
								[Column("UsageSituation")]   
				[DataMember]  
			    public string UsageSituation  {get;set;}   
                                /// <summary>
                /// 人口
                /// </summary>    
				
				[Display(Name="人口")]   
								[Column("Population")]   
				[DataMember]  
			    public int? Population  {get;set;}   
                                /// <summary>
                /// 备注
                /// </summary>    
				
				[Display(Name="备注")]   
								[Column("Remark")]   
				[DataMember]  
			    public string Remark  {get;set;}   
                                /// <summary>
                /// 房号
                /// </summary>    
				
				[Display(Name="房号")]   
								[Column("HouseNo")]   
				[DataMember]  
			    public string HouseNo  {get;set;}   
                                /// <summary>
                /// 土地证号
                /// </summary>    
				
				[Display(Name="土地证号")]   
								[Column("LandCardNo")]   
				[DataMember]  
			    public string LandCardNo  {get;set;}   
                                /// <summary>
                /// 土地证面积
                /// </summary>    
				
				[Display(Name="土地证面积")]   
								[Column("LandCardArea")]   
				[DataMember]  
			    public decimal? LandCardArea  {get;set;}   
                                /// <summary>
                /// 土地用途
                /// </summary>    
				
				[Display(Name="土地用途")]   
								[Column("LandUse")]   
				[DataMember]  
			    public string LandUse  {get;set;}   
                                /// <summary>
                /// 土地取得方式
                /// </summary>    
				
				[Display(Name="土地取得方式")]   
								[Column("LandWay")]   
				[DataMember]  
			    public string LandWay  {get;set;}   
                                /// <summary>
                /// 未登记-坐落
                /// </summary>    
				
				[Display(Name="未登记-坐落")]   
								[Column("UnReg_Address")]   
				[DataMember]  
			    public string UnReg_Address  {get;set;}   
                                /// <summary>
                /// 未登记-建筑面积
                /// </summary>    
				
				[Display(Name="未登记-建筑面积")]   
								[Column("UnReg_BuildArea")]   
				[DataMember]  
			    public decimal? UnReg_BuildArea  {get;set;}   
                                /// <summary>
                /// 未登记-建造年份
                /// </summary>    
				
				[Display(Name="未登记-建造年份")]   
								[Column("UnReg_BuildYear")]   
				[DataMember]  
			    public string UnReg_BuildYear  {get;set;}   
                                /// <summary>
                /// 未登记-实际用途
                /// </summary>    
				
				[Display(Name="未登记-实际用途")]   
								[Column("UnReg_PracticalUse")]   
				[DataMember]  
			    public string UnReg_PracticalUse  {get;set;}   
                                /// <summary>
                /// 未登记-合法面积
                /// </summary>    
				
				[Display(Name="未登记-合法面积")]   
								[Column("UnReg_LegalArea")]   
				[DataMember]  
			    public decimal? UnReg_LegalArea  {get;set;}   
                                /// <summary>
                /// 建造年份
                /// </summary>    
				
				[Display(Name="建造年份")]   
								[Column("BuildYear")]   
				[DataMember]  
			    public DateTime? BuildYear  {get;set;}   
                                /// <summary>
                /// 底层情况
                /// </summary>    
				
				[Display(Name="底层情况")]   
								[Column("Underlying")]   
				[DataMember]  
			    public string Underlying  {get;set;}   
                                /// <summary>
                /// 车房类别
                /// </summary>    
				
				[Display(Name="车房类别")]   
								[Column("CarHouseType")]   
				[DataMember]  
			    public string CarHouseType  {get;set;}   
                                /// <summary>
                /// 车房面积
                /// </summary>    
				
				[Display(Name="车房面积")]   
								[Column("CarHouseArea")]   
				[DataMember]  
			    public decimal? CarHouseArea  {get;set;}   
                                /// <summary>
                /// 房屋征收相关文书送达地址
                /// </summary>    
				
				[Display(Name="房屋征收相关文书送达地址")]   
								[Column("DocumentToAddress")]   
				[DataMember]  
			    public string DocumentToAddress  {get;set;}   
                                /// <summary>
                /// 收件联系人
                /// </summary>    
				
				[Display(Name="收件联系人")]   
								[Column("ReceiveContactPerson")]   
				[DataMember]  
			    public string ReceiveContactPerson  {get;set;}   
                                /// <summary>
                /// 收件联系手机
                /// </summary>    
				
				[Display(Name="收件联系手机")]   
								[Column("ReceiveContactPhone")]   
				[DataMember]  
			    public string ReceiveContactPhone  {get;set;}   
                                /// <summary>
                /// 征收意愿
                /// </summary>    
				
				[Display(Name="征收意愿")]   
								[Column("LandAcquisitionWillingness")]   
				[DataMember]  
			    public string LandAcquisitionWillingness  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Razon")]   
				[DataMember]  
			    public string Razon  {get;set;}   
                                /// <summary>
                /// 安置意向
                /// </summary>    
				
				[Display(Name="安置意向")]   
								[Column("SettlementIntention")]   
				[DataMember]  
			    public string SettlementIntention  {get;set;}   
                                /// <summary>
                /// 调查人ID
                /// </summary>    
				
				[Display(Name="调查人ID")]   
								[Column("InvestigateUserId")]   
				[DataMember]  
			    public Guid? InvestigateUserId  {get;set;}   
                                /// <summary>
                /// 调查人
                /// </summary>    
				
				[Display(Name="调查人")]   
								[Column("InvestigateUserName")]   
				[DataMember]  
			    public string InvestigateUserName  {get;set;}   
                                /// <summary>
                /// 调查时间
                /// </summary>    
				
				[Display(Name="调查时间")]   
								[Column("InvestigateDate")]   
				[DataMember]  
			    public DateTime? InvestigateDate  {get;set;}   
                                /// <summary>
                /// 登记人ID
                /// </summary>    
				
				[Display(Name="登记人ID")]   
								[Column("RegisterUserId")]   
				[DataMember]  
			    public Guid? RegisterUserId  {get;set;}   
                                /// <summary>
                /// 登记人
                /// </summary>    
				
				[Display(Name="登记人")]   
								[Column("RegisterUserName")]   
				[DataMember]  
			    public string RegisterUserName  {get;set;}   
                                /// <summary>
                /// 登记日期
                /// </summary>    
				
				[Display(Name="登记日期")]   
								[Column("RegisterDate")]   
				[DataMember]  
			    public DateTime? RegisterDate  {get;set;}   
                                /// <summary>
                /// 修改人员ID
                /// </summary>    
				
				[Display(Name="修改人员ID")]   
								[Column("UpdateUserId")]   
				[DataMember]  
			    public Guid? UpdateUserId  {get;set;}   
                                /// <summary>
                /// 修改人员
                /// </summary>    
				
				[Display(Name="修改人员")]   
								[Column("UpdateUserName")]   
				[DataMember]  
			    public string UpdateUserName  {get;set;}   
                                /// <summary>
                /// 修改日期
                /// </summary>    
				
				[Display(Name="修改日期")]   
								[Column("UpdateDate")]   
				[DataMember]  
			    public DateTime? UpdateDate  {get;set;}   
                                /// <summary>
                /// 附房使用面积
                /// </summary>    
				
				[Display(Name="附房使用面积")]   
								[Column("AttachedHouseUseArea")]   
				[DataMember]  
			    public decimal? AttachedHouseUseArea  {get;set;}   
                                /// <summary>
                /// 是否在重点规划控制区内
                /// </summary>    
				
				[Display(Name="是否在重点规划控制区内")]   
								[Column("IsInTheKeyPlanControlAreas")]   
				[DataMember]  
			    public int? IsInTheKeyPlanControlAreas  {get;set;}   
                                /// <summary>
                /// 实际居住地
                /// </summary>    
				
				[Display(Name="实际居住地")]   
								[Column("ActualSettlement")]   
				[DataMember]  
			    public string ActualSettlement  {get;set;}   
                                /// <summary>
                /// 业主（产权人）签字
                /// </summary>    
				
				[Display(Name="业主（产权人）签字")]   
								[Column("PropertyRightPrsonSign")]   
				[DataMember]  
			    public string PropertyRightPrsonSign  {get;set;}   
                                /// <summary>
                /// 业主（产权人）签字时间
                /// </summary>    
				
				[Display(Name="业主（产权人）签字时间")]   
								[Column("PropertyRightPrsonSignDate")]   
				[DataMember]  
			    public DateTime? PropertyRightPrsonSignDate  {get;set;}   
                                /// <summary>
                /// 发布到公开系统时间
                /// </summary>    
				
				[Display(Name="发布到公开系统时间")]   
								[Column("ReleaseToOpenSysDate")]   
				[DataMember]  
			    public DateTime? ReleaseToOpenSysDate  {get;set;}   
                                /// <summary>
                /// 发布到公开系统人员ID
                /// </summary>    
				
				[Display(Name="发布到公开系统人员ID")]   
								[Column("ReleaseToOpenSysUserId")]   
				[DataMember]  
			    public Guid? ReleaseToOpenSysUserId  {get;set;}   
                                /// <summary>
                /// 调查表附件
                /// </summary>    
				
				[Display(Name="调查表附件")]   
								[Column("Files")]   
				[DataMember]  
			    public string Files  {get;set;}   
                                /// <summary>
                /// 危旧房区块ID关联ProjectsBlock表ID
                /// </summary>    
				
				[Display(Name="危旧房区块ID关联ProjectsBlock表ID")]   
								[Column("WJF_BlockID")]   
				[DataMember]  
			    public Guid? WJF_BlockID  {get;set;}   
                                /// <summary>
                /// 危旧房区块名称
                /// </summary>    
				
				[Display(Name="危旧房区块名称")]   
								[Column("WJF_Block")]   
				[DataMember]  
			    public string WJF_Block  {get;set;}   
                                /// <summary>
                /// 是否发布到公开系统
                /// </summary>    
				
				[Display(Name="是否发布到公开系统")]   
								[Column("IsReleaseToOpenSys")]   
				[DataMember]  
			    public bool IsReleaseToOpenSys  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Sfqy")]   
				[DataMember]  
			    public int Sfqy  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("IsOpen")]   
				[DataMember]  
			    public int IsOpen  {get;set;}   
                                /// <summary>
                /// 被征收人证件号码类别
                /// </summary>    
				
				[Display(Name="被征收人证件号码类别")]   
								[Column("CardLB")]   
				[DataMember]  
			    public string CardLB  {get;set;}   
                                /// <summary>
                /// 土地核定面积
                /// </summary>    
				
				[Display(Name="土地核定面积")]   
								[Column("LandFinalArea")]   
				[DataMember]  
			    public decimal? LandFinalArea  {get;set;}   
                                /// <summary>
                /// 承租人证件类型
                /// </summary>    
				
				[Display(Name="承租人证件类型")]   
								[Column("LesseeLB")]   
				[DataMember]  
			    public string LesseeLB  {get;set;}   
                                /// <summary>
                /// 阁楼面积
                /// </summary>    
				
				[Display(Name="阁楼面积")]   
								[Column("AtticArea")]   
				[DataMember]  
			    public decimal? AtticArea  {get;set;}   
                                /// <summary>
                /// 附属用房面积
                /// </summary>    
				
				[Display(Name="附属用房面积")]   
								[Column("AttachedArea")]   
				[DataMember]  
			    public decimal? AttachedArea  {get;set;}   
                                /// <summary>
                /// 红线内无证面积
                /// </summary>    
				
				[Display(Name="红线内无证面积")]   
								[Column("RedLine_In")]   
				[DataMember]  
			    public decimal? RedLine_In  {get;set;}   
                                /// <summary>
                /// 红线外无证面积
                /// </summary>    
				
				[Display(Name="红线外无证面积")]   
								[Column("RedLine_Out")]   
				[DataMember]  
			    public decimal? RedLine_Out  {get;set;}   
                                /// <summary>
                /// 住改非面积
                /// </summary>    
				
				[Display(Name="住改非面积")]   
								[Column("NoHouseArea")]   
				[DataMember]  
			    public decimal? NoHouseArea  {get;set;}   
                                /// <summary>
                /// 营业执照号
                /// </summary>    
				
				[Display(Name="营业执照号")]   
								[Column("BusinessCode")]   
				[DataMember]  
			    public string BusinessCode  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Sfth")]   
				[DataMember]  
			    public string Sfth  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Thbh")]   
				[DataMember]  
			    public string Thbh  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ThGuid")]   
				[DataMember]  
			    public string ThGuid  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("SFTJ")]   
				[DataMember]  
			    public int SFTJ  {get;set;}   
                                /// <summary>
                /// 出租出借私房产权人
                /// </summary>    
				
				[Display(Name="出租出借私房产权人")]   
								[Column("PropertyUser1")]   
				[DataMember]  
			    public string PropertyUser1  {get;set;}   
                                /// <summary>
                /// 出租出借私房承租人
                /// </summary>    
				
				[Display(Name="出租出借私房承租人")]   
								[Column("Lessee1")]   
				[DataMember]  
			    public string Lessee1  {get;set;}   
                                /// <summary>
                /// 金额是否计算比例
                /// </summary>    
				
				[Display(Name="金额是否计算比例")]   
								[Column("MoneyIfCalute")]   
				[DataMember]  
			    public int MoneyIfCalute  {get;set;}   
                                /// <summary>
                /// 储藏室
                /// </summary>    
				
				[Display(Name="储藏室")]   
								[Column("StoreroomArea")]   
				[DataMember]  
			    public decimal? StoreroomArea  {get;set;}   
                                /// <summary>
                /// 地段
                /// </summary>    
				
				[Display(Name="地段")]   
								[Column("Section")]   
				[DataMember]  
			    public string Section  {get;set;}   
                                /// <summary>
                /// 朝向
                /// </summary>    
				
				[Display(Name="朝向")]   
								[Column("Orientation")]   
				[DataMember]  
			    public string Orientation  {get;set;}   
                                /// <summary>
                /// 房屋部位
                /// </summary>    
				
				[Display(Name="房屋部位")]   
								[Column("HousePosition")]   
				[DataMember]  
			    public string HousePosition  {get;set;}   
                                /// <summary>
                /// 批次号
                /// </summary>    
				
				[Display(Name="批次号")]   
								[Column("BatchNumber")]   
				[DataMember]  
			    public string BatchNumber  {get;set;}   
                                /// <summary>
                /// 分组ID
                /// </summary>    
				
				[Display(Name="分组ID")]   
								[Column("GroupID")]   
				[DataMember]  
			    public Guid? GroupID  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：InvestigateTable 
            /// </summary>
            public class InvestigateTableMap : EntityTypeConfiguration<InvestigateTable>
			{
                public InvestigateTableMap()
                {
					this.ToTable("InvestigateTable");
												this.HasKey(t => t.ID);
													 this.Property(t => t.No).HasColumnName("No");
													 this.Property(t => t.ProjectName).HasColumnName("ProjectName");
													 this.Property(t => t.ProjectId).HasColumnName("ProjectId").IsRequired();
													 this.Property(t => t.ExpropriatedName).HasColumnName("ExpropriatedName").IsRequired();
													 this.Property(t => t.ExpropriatedNatureID).HasColumnName("ExpropriatedNatureID");
													 this.Property(t => t.ExpropriatedNature).HasColumnName("ExpropriatedNature");
													 this.Property(t => t.ExpropriatedCardNo).HasColumnName("ExpropriatedCardNo");
													 this.Property(t => t.ExpropriatedPhone).HasColumnName("ExpropriatedPhone");
													 this.Property(t => t.NatureOfPropertyID).HasColumnName("NatureOfPropertyID");
													 this.Property(t => t.NatureOfProperty).HasColumnName("NatureOfProperty");
													 this.Property(t => t.StructureID).HasColumnName("StructureID");
													 this.Property(t => t.LandAcquisitionBCWillingness).HasColumnName("LandAcquisitionBCWillingness");
													 this.Property(t => t.StructureID_text).HasColumnName("StructureID_text");
													 this.Property(t => t.PropertyRightPrson).HasColumnName("PropertyRightPrson");
													 this.Property(t => t.PropertyRightPrsonPhone).HasColumnName("PropertyRightPrsonPhone");
													 this.Property(t => t.PropertyRightPrsonCardNo).HasColumnName("PropertyRightPrsonCardNo");
													 this.Property(t => t.No1).HasColumnName("No1");
													 this.Property(t => t.No2).HasColumnName("No2");
													 this.Property(t => t.Lessee).HasColumnName("Lessee");
													 this.Property(t => t.LesseePhone).HasColumnName("LesseePhone");
													 this.Property(t => t.LesseeCardNo).HasColumnName("LesseeCardNo");
													 this.Property(t => t.HouseAddress).HasColumnName("HouseAddress");
													 this.Property(t => t.Street).HasColumnName("Street");
													 this.Property(t => t.LandNo).HasColumnName("LandNo");
													 this.Property(t => t.PropertyRightCardNo).HasColumnName("PropertyRightCardNo");
													 this.Property(t => t.BuildingArea).HasColumnName("BuildingArea");
													 this.Property(t => t.UseArea).HasColumnName("UseArea");
													 this.Property(t => t.ApprovedArea).HasColumnName("ApprovedArea");
													 this.Property(t => t.InLayer).HasColumnName("InLayer");
													 this.Property(t => t.AllLayer).HasColumnName("AllLayer");
													 this.Property(t => t.HouseUse).HasColumnName("HouseUse");
													 this.Property(t => t.BiicyclesArea).HasColumnName("BiicyclesArea");
													 this.Property(t => t.HouseNatureOfProperty).HasColumnName("HouseNatureOfProperty");
													 this.Property(t => t.UsageID).HasColumnName("UsageID");
													 this.Property(t => t.UsageSituation).HasColumnName("UsageSituation");
													 this.Property(t => t.Population).HasColumnName("Population");
													 this.Property(t => t.Remark).HasColumnName("Remark");
													 this.Property(t => t.HouseNo).HasColumnName("HouseNo");
													 this.Property(t => t.LandCardNo).HasColumnName("LandCardNo");
													 this.Property(t => t.LandCardArea).HasColumnName("LandCardArea");
													 this.Property(t => t.LandUse).HasColumnName("LandUse");
													 this.Property(t => t.LandWay).HasColumnName("LandWay");
													 this.Property(t => t.UnReg_Address).HasColumnName("UnReg_Address");
													 this.Property(t => t.UnReg_BuildArea).HasColumnName("UnReg_BuildArea");
													 this.Property(t => t.UnReg_BuildYear).HasColumnName("UnReg_BuildYear");
													 this.Property(t => t.UnReg_PracticalUse).HasColumnName("UnReg_PracticalUse");
													 this.Property(t => t.UnReg_LegalArea).HasColumnName("UnReg_LegalArea");
													 this.Property(t => t.BuildYear).HasColumnName("BuildYear");
													 this.Property(t => t.Underlying).HasColumnName("Underlying");
													 this.Property(t => t.CarHouseType).HasColumnName("CarHouseType");
													 this.Property(t => t.CarHouseArea).HasColumnName("CarHouseArea");
													 this.Property(t => t.DocumentToAddress).HasColumnName("DocumentToAddress");
													 this.Property(t => t.ReceiveContactPerson).HasColumnName("ReceiveContactPerson");
													 this.Property(t => t.ReceiveContactPhone).HasColumnName("ReceiveContactPhone");
													 this.Property(t => t.LandAcquisitionWillingness).HasColumnName("LandAcquisitionWillingness");
													 this.Property(t => t.Razon).HasColumnName("Razon");
													 this.Property(t => t.SettlementIntention).HasColumnName("SettlementIntention");
													 this.Property(t => t.InvestigateUserId).HasColumnName("InvestigateUserId");
													 this.Property(t => t.InvestigateUserName).HasColumnName("InvestigateUserName");
													 this.Property(t => t.InvestigateDate).HasColumnName("InvestigateDate");
													 this.Property(t => t.RegisterUserId).HasColumnName("RegisterUserId");
													 this.Property(t => t.RegisterUserName).HasColumnName("RegisterUserName");
													 this.Property(t => t.RegisterDate).HasColumnName("RegisterDate");
													 this.Property(t => t.UpdateUserId).HasColumnName("UpdateUserId");
													 this.Property(t => t.UpdateUserName).HasColumnName("UpdateUserName");
													 this.Property(t => t.UpdateDate).HasColumnName("UpdateDate");
													 this.Property(t => t.AttachedHouseUseArea).HasColumnName("AttachedHouseUseArea");
													 this.Property(t => t.IsInTheKeyPlanControlAreas).HasColumnName("IsInTheKeyPlanControlAreas");
													 this.Property(t => t.ActualSettlement).HasColumnName("ActualSettlement");
													 this.Property(t => t.PropertyRightPrsonSign).HasColumnName("PropertyRightPrsonSign");
													 this.Property(t => t.PropertyRightPrsonSignDate).HasColumnName("PropertyRightPrsonSignDate");
													 this.Property(t => t.ReleaseToOpenSysDate).HasColumnName("ReleaseToOpenSysDate");
													 this.Property(t => t.ReleaseToOpenSysUserId).HasColumnName("ReleaseToOpenSysUserId");
													 this.Property(t => t.Files).HasColumnName("Files");
													 this.Property(t => t.WJF_BlockID).HasColumnName("WJF_BlockID");
													 this.Property(t => t.WJF_Block).HasColumnName("WJF_Block");
													 this.Property(t => t.IsReleaseToOpenSys).HasColumnName("IsReleaseToOpenSys").IsRequired();
													 this.Property(t => t.Sfqy).HasColumnName("Sfqy").IsRequired();
													 this.Property(t => t.IsOpen).HasColumnName("IsOpen").IsRequired();
													 this.Property(t => t.CardLB).HasColumnName("CardLB");
													 this.Property(t => t.LandFinalArea).HasColumnName("LandFinalArea");
													 this.Property(t => t.LesseeLB).HasColumnName("LesseeLB");
													 this.Property(t => t.AtticArea).HasColumnName("AtticArea");
													 this.Property(t => t.AttachedArea).HasColumnName("AttachedArea");
													 this.Property(t => t.RedLine_In).HasColumnName("RedLine_In");
													 this.Property(t => t.RedLine_Out).HasColumnName("RedLine_Out");
													 this.Property(t => t.NoHouseArea).HasColumnName("NoHouseArea");
													 this.Property(t => t.BusinessCode).HasColumnName("BusinessCode");
													 this.Property(t => t.Sfth).HasColumnName("Sfth");
													 this.Property(t => t.Thbh).HasColumnName("Thbh");
													 this.Property(t => t.ThGuid).HasColumnName("ThGuid");
													 this.Property(t => t.SFTJ).HasColumnName("SFTJ").IsRequired();
													 this.Property(t => t.PropertyUser1).HasColumnName("PropertyUser1");
													 this.Property(t => t.Lessee1).HasColumnName("Lessee1");
													 this.Property(t => t.MoneyIfCalute).HasColumnName("MoneyIfCalute").IsRequired();
													 this.Property(t => t.StoreroomArea).HasColumnName("StoreroomArea");
													 this.Property(t => t.Section).HasColumnName("Section");
													 this.Property(t => t.Orientation).HasColumnName("Orientation");
													 this.Property(t => t.HousePosition).HasColumnName("HousePosition");
													 this.Property(t => t.BatchNumber).HasColumnName("BatchNumber");
													 this.Property(t => t.GroupID).HasColumnName("GroupID");
										}
			}**/

	}

	//----------InvestigateTable结束----------

	